<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myHargaMasterBahanLabel" jhiTranslate="mpmApp.hargaMasterBahan.home.createOrEditLabel">Create or edit a Harga Master Bahan</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!hargaMasterBahan.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="hargaMasterBahan.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.hargaMasterBahan.kdbahan" for="field_kdbahan">Kdbahan</label>
            <input type="text" class="form-control" name="kdbahan" id="field_kdbahan"
                [(ngModel)]="hargaMasterBahan.kdbahan"  readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.hargaMasterBahan.nmbahan" for="field_nmbahan">Nmbahan</label>
            <input type="text" class="form-control" name="nmbahan" id="field_nmbahan"
                [(ngModel)]="hargaMasterBahan.nmbahan"  readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.hargaMasterBahan.tpbahan" for="field_tpbahan">Tpbahan</label>
            <input type="text" class="form-control" name="tpbahan" id="field_tpbahan"
                [(ngModel)]="hargaMasterBahan.tpbahan"  readonly/>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.hargaMasterBahan.harga_dasar" for="field_harga_dasar">Harga Dasar</label>
            <input type="number" class="form-control" name="harga_dasar" id="field_harga_dasar"
                [(ngModel)]="hargaMasterBahan.harga_dasar"  />
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
